package middlewares

import (
	"net/http"

	"github.com/sirupsen/logrus"
)

func WithLogger(handler http.Handler, l *logrus.Logger) http.Handler {
	return &LoggerMiddleware{
		l: l,
		h: handler,
	}
}
